org.apache.sysds.runtime.compress.utils

## Class DoubleCountHashMap

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.DoubleCountHashMap

    public class DoubleCountHashMap
    extends Object

### Field Summary

Fields
`static int` `hashMissCount`

### Constructor Summary

Constructors
Constructor and Description
`DoubleCountHashMap(int init_capacity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ArrayList<DCounts>` `extractValues()`
`int` `get(double key)` Get the value on a key, if the key is not inside a NullPointerException is thrown.
`void` `increment(double key)`
`void` `reset(int size)`
`int` `size()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### hashMissCount

    public static int hashMissCount

### Constructor Detail

#### DoubleCountHashMap

    public DoubleCountHashMap(int init_capacity)

### Method Detail

#### size

    public int size()

#### increment

    public void increment(double key)

#### get

    public int get(double key)

Get the value on a key, if the key is not inside a NullPointerException is thrown.

Parameters:
  `key` - the key to lookup
Returns:
  count on key

#### extractValues

    public ArrayList<DCounts> extractValues()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### reset

    public void reset(int size)